Api referenceNewsletterIssues

Read the newsletter issue head (Preview)

Preview · Available to selected organizations. Reads the current workspace revision and repository branch head. Requires newsletters and email.

GET
/v1/newsletters/{id}/issues/head

Reads the current workspace revision and repository branch head. Requires newsletters and email.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^nl_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
projectId*TemplateProjectId
Match^tproj_[0-9a-hjkmnp-tv-z]{16,24}$
revision*string
remoteHead*string
Match^[a-f0-9]{40}$
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.newsletters.issues.head({  "id": "example"});
Example Response
{  "projectId": "string",  "revision": "string",  "remoteHead": "string"}